Loading...
Searching...
No Matches
SplitTuples.h File Reference

Defines the lowering pass that breaks up Tuple-valued realization and productions into several scalar-valued ones. More...

`#include "Expr.h"`
`#include <map>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::split_tuples (const Stmt &s, const std::map< std::string, Function > &env)
| Rewrite all tuple-valued Realizations, Provide nodes, and Call nodes into several scalar-valued ones, so that later lowering passes only need to think about scalar-valued productions.

## Detailed Description

Defines the lowering pass that breaks up Tuple-valued realization and productions into several scalar-valued ones.

Definition in file SplitTuples.h.